Create a new driver-trailer assignment
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Write Assignments under the Assignments category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/driver-trailer-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "494123",
"trailerId": "12345",
"startTime": "2019-06-13T19:08:25Z"
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"driverId": "0987",
"id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d6",
"startTime": "2019-06-13T19:08:25Z",
"trailerId": "494123",
"updatedAtTime": "2019-06-13T19:08:25Z"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Create a new driver-trailer assignment
ID of the driver. This can be either a unique Samsara ID or an external ID for the driver.
"494123"
ID of the trailer. This can be either a unique Samsara ID or an external ID for the trailer.
"12345"
The start time in RFC 3339 format. The time needs to be current or within the past 7 days. Defaults to now if not provided
"2019-06-13T19:08:25Z"
OK response.
Response after successfully submitting a Driver Trailer Assignment
Show child attributes
curl --request POST \
--url https://api.samsara.com/driver-trailer-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "494123",
"trailerId": "12345",
"startTime": "2019-06-13T19:08:25Z"
}
'{
"data": {
"createdAtTime": "2019-06-13T19:08:25Z",
"driverId": "0987",
"id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d6",
"startTime": "2019-06-13T19:08:25Z",
"trailerId": "494123",
"updatedAtTime": "2019-06-13T19:08:25Z"
}
}